Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034831
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2016-12-29 18:222017-03-14 13:59
ReporterdbazView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR17Q2
StatusclosedFix in branchFixed in SCM revision45d8c72790f7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression levelCoding ( Testing )
Regression date
Regression introduced in releasepi
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034831: [UX] Customer button gets 'ellipsis' when it is not needed

DescriptionThe customer button (the one in the top of the receipt) gets 'ellipsis' when it is not needed. It doesn't happen in 16Q4.

http://screencast.com/t/iwcXrhu9 [^]

The 'ellipsis' NEVER should be performed if there is free horizontal space, independently of the length of the button labels. In the 'Proposed Solution' section there is an example of how it should behave.
Steps To ReproduceLogin into the WebPOS with base sampledata.
Proposed SolutionThe width and ellipsis of these buttons should behave like this example:

https://jsfiddle.net/r77t19zt/2/ [^]

As you can see, the own CSS:
* Takes advantage of using all the available space to show as much content as possible.
* Ensures that both buttons are always in the same line.
* Gives more priority to the full customer visualization while start shrinking -flex-shrink- (just in case of large addresses).
* Sets a maximum width -max-width: 70%;- (just in case of very very large button labels).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0035510RR17Q1.1 closedjorge-garcia [UX] Customer button gets 'ellipsis' when it is not needed 

-  Notes
(0093069)
guilleaer (developer)
2016-12-30 09:51

As David mentioned I suggest to fix it using flexbox.

There are already some css classes created in mobile core (ob-standard.css) to take advantage of them. (.standardFlexContainer)
(0094833)
hgbot (developer)
2017-03-08 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 45d8c72790f7778bea8e93b61867305901ce5b6a
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Wed Mar 08 13:38:29 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/45d8c72790f7778bea8e93b61867305901ce5b6a [^]

Fixed issue 34831: [UX] Customer button gets 'ellipsis' when it is not
needed

* Used flexible box for customer buttons in pointofsale tab of webPOS.
* Remove useless css classes.

---
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/components/bplocation.js
M web/org.openbravo.retail.posterminal/js/components/businesspartner_selector.js
M web/org.openbravo.retail.posterminal/js/components/order.js
---

- Issue History
Date Modified Username Field Change
2016-12-29 18:22 dbaz New Issue
2016-12-29 18:22 dbaz Assigned To => Retail
2016-12-29 18:22 dbaz Regression level => Coding ( Testing )
2016-12-29 18:22 dbaz Regression introduced in release => pi
2016-12-29 18:22 dbaz Triggers an Emergency Pack => No
2016-12-29 19:05 dbaz Proposed Solution updated
2016-12-30 09:51 guilleaer Note Added: 0093069
2016-12-30 12:04 dbaz Proposed Solution updated
2017-03-08 13:40 hgbot Checkin
2017-03-08 13:41 hgbot Note Added: 0094833
2017-03-08 13:41 hgbot Status new => resolved
2017-03-08 13:41 hgbot Resolution open => fixed
2017-03-08 13:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/45d8c72790f7778bea8e93b61867305901ce5b6a [^]
2017-03-08 18:16 marvintm Assigned To Retail => jorge-garcia
2017-03-09 13:00 guilleaer Review Assigned To => guilleaer
2017-03-09 13:00 guilleaer Status resolved => closed
2017-03-09 13:00 guilleaer Fixed in Version => RR17Q2
2017-03-14 13:59 marvintm Status closed => new
2017-03-14 13:59 marvintm Resolution fixed => open
2017-03-14 13:59 marvintm Fixed in Version RR17Q2 =>
2017-03-14 13:59 marvintm Status new => scheduled
2017-03-14 13:59 marvintm Status scheduled => resolved
2017-03-14 13:59 marvintm Fixed in Version => RR17Q2
2017-03-14 13:59 marvintm Resolution open => fixed
2017-03-14 13:59 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker